
package net.northking.cctp.scriptcase.tools.hapUtil.pack;

import com.google.gson.annotations.SerializedName;

import java.util.List;

@SuppressWarnings("unused")
public class Module {

    @SerializedName("abilities")
    private List<Ability> mAbilities;
    @SerializedName("apiVersion")
    private ApiVersion mApiVersion;
    @SerializedName("deviceType")
    private List<String> mDeviceType;
    @SerializedName("distro")
    private Distro mDistro;
    @SerializedName("extensionAbilities")
    private List<ExtensionAbility> mExtensionAbilities;
    @SerializedName("mainAbility")
    private String mMainAbility;

    public List<Ability> getAbilities() {
        return mAbilities;
    }

    public void setAbilities(List<Ability> abilities) {
        mAbilities = abilities;
    }

    public ApiVersion getApiVersion() {
        return mApiVersion;
    }

    public void setApiVersion(ApiVersion apiVersion) {
        mApiVersion = apiVersion;
    }

    public List<String> getDeviceType() {
        return mDeviceType;
    }

    public void setDeviceType(List<String> deviceType) {
        mDeviceType = deviceType;
    }

    public Distro getDistro() {
        return mDistro;
    }

    public void setDistro(Distro distro) {
        mDistro = distro;
    }

    public List<ExtensionAbility> getExtensionAbilities() {
        return mExtensionAbilities;
    }

    public void setExtensionAbilities(List<ExtensionAbility> extensionAbilities) {
        mExtensionAbilities = extensionAbilities;
    }

    public String getMainAbility() {
        return mMainAbility;
    }

    public void setMainAbility(String mainAbility) {
        mMainAbility = mainAbility;
    }

}
